この情報は、米国アドビシステムズ社が提供している情報をもとにローカライズし、作成したものです。

日本語環境での動作保証はしておりませんのでご了承ください。

問題点 (Issue)

Linux Adobe AIR をインストールする際に以下のエラーメッセージが表示されます。

  • Adobe AIR could not be installed. No Authentication tools were found on the system. Adobe AIR をインストールできませんでした。システムで認証ツールが見つかりませんでした。)」

このエラーメッセージは、システム上に Adobe AIR がサポートする認証ツールが存在しない場合に表示されます。Adobe AIR root 権限を必要とするため、Adobe AIR および AIR アプリケーションをインストールする際に一般ユーザでログインしている場合は root 権限に昇格させる必要があります。Adobe AIR では、一般ユーザから root 権限に昇格させるために、複数の認証ツールをサポートします。

Adobe AIR では、以下の認証ツールをサポートしています。ディストリビューションやデスクトップ環境によって、Adobe AIR に最適な認証ツールを使用してください。

  • gksu

  • gnomesu

  • xterm/su

  • kdesu

  • PackageKit

xterm をインストールすることで、最も簡単に問題を解決することができます。通常、xterm/su は多くのディストリビューションに初期設定でインストールされています。また、ディストリビューションのリポジトリからインストールすることもできます。

解決方法 (Solution)

の問題を解決するには、以下の操作を行います。

ここでは、一般的な xterm をディストリビューションにインストールします。以下のコマンドを root 権限で実行します。

Fedora Core の場合 :

$ yum install xterm

openSUSE の場合 :

$ zypper install xterm

Debian ベースディストリビューションの場合 :

$ apt-get install xterm

gksugnomesukdesuPackageKit のインストール方法については、各ディストリビューションの Web サイト、または wiki を参照してください。

Fedora https://fedoraproject.org/wiki/Ja_JP

openSUSE
http://ja.opensuse.org/

Debian
http://www.debian.org/index.ja.html

 

本作品は Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License によってライセンス許可を受けています。  Twitter™ および Facebook の投稿には、Creative Commons の規約内容は適用されません。

法律上の注意   |   プライバシーポリシー